Get resource change summary
curl --request GET \
--url https://api.ravion.com/terraform-resources/{address}/change-summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ravion.com/terraform-resources/{address}/change-summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ravion.com/terraform-resources/{address}/change-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "<string>",
"fromRun": {
"id": "<string>",
"description": "<string>",
"startedAt": "2023-11-07T05:31:56Z"
},
"pipelineId": "<string>",
"provider": "<string>",
"resourceName": "<string>",
"resourceType": "<string>",
"runsInRange": 123,
"toRun": {
"id": "<string>",
"description": "<string>",
"startedAt": "2023-11-07T05:31:56Z"
},
"indexKey": "<string>",
"moduleAddress": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}TerraformResources
Get resource change summary
Get resource change summary across pipeline runs.
Returns the change summary for a specific terraform resource showing how it changed across pipeline runs. Optionally filter by run range using fromRunId and toRunId.
GET
/
terraform-resources
/
{address}
/
change-summary
Get resource change summary
Path Parameters
Resource address to get change summary for (required)
Query Parameters
Pipeline ID to get changelog from (required)
Filter to runs starting from this run ID (optional)
Filter to runs up to this run ID (optional)
Response
The request has succeeded.
Resource change summary response showing changes across pipeline runs.
Show child attributes
Show child attributes
Was this page helpful?
⌘I